## avahi 0.6.31

=== debian/changelog ===
avahi (0.6.31-5) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Recommend iproute2 instead of transitional package iproute.
  * Update avahi-daemon support scripts to use iproute2 tools if available
    with a fallback to net-tools and graceful degradation if neither is
    installed. (Closes: #762326)

  [ Michael Biebl ]
  * Don't run the avahi-autoipd ifupdown hook scripts if the package has been
    removed but not purged. (Closes: #780872)
  * Use --restart-after-upgrade for avahi-daemon and avahi-dnsconfd to
    minimise downtime and avoid avahi-daemon being triggered via socket or
    D-Bus activation during upgrades. (Closes: #768620)
  * Mask avahi-daemon.service on remove to avoid the stop request being
    cancelled via socket or D-Bus activation.

 -- Michael Biebl <biebl@debian.org>  Mon, 13 Apr 2015 21:51:24 +0200

avahi (0.6.31-4) unstable; urgency=medium

  * Team upload.
  * d/p/so_reuseport-may-not-exist-in-running-kernel.patch: Do not exit
    avahi-daemon if we cannot set SO_REUSEPORT on the socket. This patch has
    be taken from Ubuntu, thanks to them (Closes: #732009)
  * debian/patches/avahi-core-reserve-space-for-record-data-when-size-estimate.patch:
    avahi-core: reserve space for record data when size estimate. This
    prevents avahi-daemon from falling into an invalid loop when many CUPS/IPP
    printer shares get registered (Closes: #693604)
  * debian/libavahi-core7.symbols: Add 2 new symbols exported by the previous
    patch
  * debian/patches/suse-patch-gtk-box.patch: Don't use GTK vbox API which is
    deprecated when compiling for GTK3.
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 26 Dec 2013 18:24:41 +0100

avahi (0.6.31-3) unstable; urgency=low

  * Team upload.
  [ Laurent Bigonville ]
  * debian/control: Use canonical URL's for Vcs-* fields
  * debian/avahi-daemon.init: Add "avahi-daemon" to the Provides list
    (Closes: #730546)
  * debian/avahi-dnsconfd.init: Depend against the new avahi-daemon Provides
  * debian/avahi-daemon.links, debian/avahi-dnsconfd.links, debian/control,
    debian/rules: Do not explicitly create systemd symlinks but rely on
    dh-systemd to do the correct thing
  * debian/control: Drop duplicate Section to please lintian
  * debian/control: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/control, debian/rules: Update config.{guess,sub} during the build
  * debian/rules: Use debhelper 9 preferred way to set LDFLAGS (Closes: #662204)
  * debian/rules: Pass --as-needed to dh_autoreconf and add it to LDFLAGS to
    limit runtime dependencies
  * debian/avahi-daemon.init, avahi-dnsconfd.init: Fix initscripts to return
    an error in the appropriate cases (Closes: #718716)

  [ Hector Oron ]
  * debian/patch/no-deprecations.patch: Don't disable deprecated functions
    (Closes: #729124)
  * debian/rules: run autoreconf at build time.
  * debian/control: add dh-autoreconf build depend

 -- Laurent Bigonville <bigon@debian.org>  Sat, 07 Dec 2013 16:24:13 +0100

avahi (0.6.31-2) unstable; urgency=low

  * Use recommended maintscript versioning scheme.
  * The avahi-dnsconfd init script doesn't support reload but provides a
    refresh action, so list that instead in the usage help message.
  * Update ifupdown hooks for avahi-daemon and avahi-autoipd. Drop the usage
    of ADDRFAM=NetworkManager, since network-manager no longer uses that. Run
    avahi-daemon only for ADDRFAM inet and inet6. (Closes: #699749)

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Mar 2013 22:58:55 +0100

avahi (0.6.31-1) unstable; urgency=low

  * New upstream release.
  * Mark private stdb_* symbols in libavahi-ui and libavahi-ui-gtk3 as
    optional.
  * Bump Build-Depends on debhelper to (>= 9).
  * Bump Standards-Version to 3.9.3. No further changes.
  * Use new dh_installdeb maintscript facility to (re)move the old conffiles
    for avahi-autoipd and avahi-dnsconfd.

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Mar 2012 05:23:49 +0100

avahi (0.6.30-6) unstable; urgency=low

  * Switch to dh_python2. (Closes: #637552)
  * Simplify postinst for avahi-autoipd and avahi-daemon.
  * Rebuild to enable hardened build flags. (Closes: #655188)
  * Use term GLib consistently in the package description. (Closes: #633783)

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Jan 2012 00:59:49 +0100
