=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools-dev,python2,systemd,autoreconf

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq (linux,$(DEB_HOST_ARCH_OS))
	CONFFLAGS += --disable-autoipd
endif

# Ensure at build time that the library has no dependencies on undefined
# symbols, and speed up loading.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS) \
		--enable-compat-libdns_sd \
		--disable-mono \
		--disable-monodoc \
		--disable-qt3 \
		--enable-gtk3 \
		--with-systemdsystemunitdir=/lib/systemd/system

override_dh_auto_build:
	dh_auto_build
	# create an up to date PO template
	cd po; intltool-update -p --verbose

override_dh_auto_clean:
	dh_auto_clean
	rm -f po/*.pot

override_dh_auto_install:
	dh_auto_install
	install -D -o root -g root -m 755 debian/avahi-daemon.resolvconf \
		debian/avahi-daemon/etc/resolvconf/update-libc.d/avahi-daemon
	install -D -o root -g root -m 755 debian/avahi-daemon-check-dns.sh \
		debian/avahi-daemon/usr/lib/avahi/avahi-daemon-check-dns.sh
ifeq (linux,$(DEB_HOST_ARCH_OS))
	mv debian/tmp/etc/dhcp/dhclient-exit-hooks.d/avahi-autoipd \
		debian/tmp/etc/dhcp/dhclient-exit-hooks.d/zzz_avahi-autoipd
endif

# List any files which are not installed
override_dh_install:
	dh_install --list-missing

override_dh_installinit:
	dh_installinit -pavahi-daemon --restart-after-upgrade
	dh_installinit -pavahi-dnsconfd --restart-after-upgrade

override_dh_installdocs:
	dh_installdocs --all docs/NEWS docs/README

override_dh_strip:
	dh_strip --dbg-package=avahi-dbg

override_dh_autoreconf:
	dh_autoreconf --as-needed
