## avahi 0.6.32~rc+dfsg

=== debian/changelog ===
avahi (0.6.32~rc+dfsg-1ubuntu2.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2017-6519-and-CVE-2018-1000845.patch:
      fix in avahi-core/server.c.
    - CVE-2017-6519
    - CVE-2018-1000845

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 30 Jan 2019 12:31:17 -0300

avahi (0.6.32~rc+dfsg-1ubuntu2.2) xenial; urgency=medium

  * debian/patches/no-systemd-also.patch: Don't use 'Also=' in dnsconfd
    systemd unit. (LP: #1760128)

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Apr 2018 09:57:56 -0700

avahi (0.6.32~rc+dfsg-1ubuntu2.1) xenial; urgency=medium

  * d/p/0001-Remove-default-rlimit-nproc-3.patch,
  * d/p/0002-Remove-default-rlimits-from-avahi-daemon.conf.patch:
    - Remove all overly restrictive default rlimit restrictions in
    avahi-daemon.conf which can cause avahi to fail to start due to
    too many running process or crash out of memory. (LP: #1661869)

 -- Trent Lloyd <trent.lloyd@canonical.com>  Thu, 15 Mar 2018 10:16:57 +0800

avahi (0.6.32~rc+dfsg-1ubuntu2) xenial; urgency=medium

  * Put back libavahi-common3-udeb and libavahi-core7-udeb, they are being
    used by maas-enlist-udeb.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Nov 2015 11:32:59 +0100

avahi (0.6.32~rc+dfsg-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Add debian/avahi-daemon.upstart, debian/avahi-dnsconfd.upstart,
      debian/avahi-cups-reload.upstart
  * Dropped Ubuntu changes:
    - debian/control: Add versioned dependency on the dbus that satisfies our
      upstart job dependency. This happened before precise already.
    - Add udebs corresponding to libavahi-common3 and libavahi-core7, so
      that we can use them for Eucalyptus integration in the installer.
      Eucalyptus is long gone, and these udebs haven't been used in a long
      time.
    - d/p/skip-nproc-in-container.patch: Detect whether we are running in a
      container, and do not set rlimit_nproc if so. Current LXC does not
      create /run/container_type any more so the patch is a no-op. It's also
      not necessary any more as avahi does not fail if it cannot set the
      rlimit.
  * Drop obsolete dh_installinit --upstart-only option. (LP: #1519228)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Nov 2015 09:17:30 +0100

avahi (0.6.32~rc+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Don't log warnings about invalid packets, commonly triggered by Windows
      10 systems (Closes: #639163)
    - Drop debian/patches/01_avahi-daemon.conf.patch,
      d/p/avahi-core-reserve-space-for-record-data-when-size-estimate.patch,
      d/p/suse-patch-gtk-box.patch, d/p/no-deprecations.patch,
      d/p/so_reuseport-may-not-exist-in-running-kernel.patch, merged upstream.
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/rules: Ask dh_autoreconf to run the autogen.sh script
  * debian/control: Add dh-python to the build-dependencies

 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 Nov 2015 21:47:52 +0100

avahi (0.6.31-4ubuntu4) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Nov 2014 09:22:40 -0800

avahi (0.6.31-4ubuntu3) utopic; urgency=medium

  * Drop upstart dependency. We ship init scripts for sysv, upstart, and
    systemd now. (LP: #1351306)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Aug 2014 15:16:40 +0200

avahi (0.6.31-4ubuntu2) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:39:06 +0100

avahi (0.6.31-4ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: Add versioned dependency on the dbus that satisfies our
      upstart job dependency.
    - Add udebs corresponding to libavahi-common3 and libavahi-core7, so
      that we can use them for Eucalyptus integration in the installer.
    - Add debian/avahi-daemon.upstart, debian/avahi-dnsconfd.upstart,
      debian/avahi-cups-reload.upstart
    - d/p/skip-nproc-in-container.patch: Detect whether we are running in a
      container, and do not set rlimit_nproc if so.
  * Dropped changes, included in Debian:
    - d/p/so_reuseport-may-not-exist-in-running-kernel.patch:  If
      SO_REUSEPORT returns ENOPROTOOPT, continue as if we did not have the
      call at all.
    - d/p/avahi-core-reserve-space-for-record-data-when-size-estimate.patch:
      fix a bug where avahi will use 100% CPU after cups is restarted.
    - Add two new symbols to libavahi-core7.symbols file.
    - d/p/suse-patch-gtk-box.patch: Use gtk_box API.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Dec 2013 00:04:39 -0800

avahi (0.6.31-3ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: Add versioned dependency on the dbus that satisfies our
      upstart job dependency.
    - Add udebs corresponding to libavahi-common3 and libavahi-core7, so
      that we can use them for Eucalyptus integration in the installer.
    - Add debian/avahi-daemon.upstart, debian/avahi-dnsconfd.upstart,
      debian/avahi-cups-reload.upstart
    - d/p/avahi-core-reserve-space-for-record-data-when-size-estimate.patch:
      fix a bug where avahi will use 100% CPU after cups is restarted.
    - d/p/suse-patch-gtk-box.patch: Use gtk_box API.
    - Add two new symbols to libavahi-core7.symbols file.
    - d/p/so_reuseport-may-not-exist-in-running-kernel.patch:  If
      SO_REUSEPORT returns ENOPROTOOPT, continue as if we did not have the
      call at all.
    - d/p/skip-nproc-in-container.patch: Detect whether we are running in a
      container, and do not set rlimit_nproc if so.
  * Dropped changes, included in Debian:
    - Build-depend on and use dh_autotools-dev to fix FTBFS on new arches.

