=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: avahi
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
            Loic Minier <lool@dooz.org>,
            Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-systemd (>= 1.5),
+               dh-python,
                autotools-dev,
                pkg-config,
                dh-autoreconf,
@@ -26,7 +28,7 @@
                libqt4-dev,
                xmltoman,
                intltool (>= 0.35.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.4
 Vcs-Git: git://anonscm.debian.org/pkg-utopia/avahi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/avahi.git;a=summary
@@ -194,6 +196,14 @@
  library, which is a set of common functions and definitions used by many
  of Avahis components and client applications.
 
+Package: libavahi-common3-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Avahi common library (debian-installer)
+
 Package: libavahi-core7
 Section: libs
 Architecture: any
@@ -235,6 +245,14 @@
  You should not however use this library for non-embedded applications, you
  shoudl use libavahi-client-dev which interacts with the avahi daemon.
 
+Package: libavahi-core7-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Avahi's embeddable mDNS/DNS-SD library (debian-installer)
+
 Package: libavahi-client3
 Section: libs
 Architecture: any
@@ -289,14 +307,3 @@
 Package: libavahi-glib-dev
 Section: libdevel
 Architecture: any
-Depends: libavahi-glib1 (= ${binary:Version}),
-         ${misc:Depends},
-         libglib2.0-dev,
-         libavahi-common-dev
-Description: Development headers for the Avahi GLib integration library
- Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
- It allows programs to publish and discover services and hosts
- running on a local network with no specific configuration. For
- example you can plug into a network and instantly find printers to
- print to, files to look at and people to talk to.
- .
