=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 override_dh_installinit:
 	dh_installinit -pavahi-daemon --restart-after-upgrade
 	dh_installinit -pavahi-dnsconfd --restart-after-upgrade
+	dh_installinit -pavahi-daemon --no-start --name avahi-cups-reload
 
 override_dh_installdocs:
 	dh_installdocs --all docs/NEWS docs/README
@@ -57,4 +58,4 @@
 	dh_strip --dbg-package=avahi-dbg
 
 override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh
