## avahi 0.6.32

=== debian/changelog ===
avahi (0.6.32-2) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * Ensure dhclient exit hook does not trigger an error if avahi-autoipd is
    not running. (Closes: #852256)

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Jan 2017 09:41:58 +0100

avahi (0.6.32-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Update debian/watch to track new upstream releases on GitHub.
  * New upstream release. All dfsg unfree files have been removed, so
    repacking is no longer required. Drop debian/README.source accordingly.
  * Install man pages via .install files, so they don't show up in
    --list-missing.
  * Drop dbg package now that we have automatic dbgsym packages.
    Ensure proper upgrade from avahi-dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly
    and add versioned Build-Depends on dpkg-dev.
  * Mark -dev packages as Multi-Arch: same. (Closes: #731362)
  * Bump Standards-Version to 3.9.8.
  * avahi-autoipd: fix dhclient hooks to check for avahi-autoipd
    before trying to run it. (Closes: #809539)

  [ John Paul Adrian Glaubitz ]
  * Add a stage1 build profile which disables GTK, Qt4 and Python-GTK bindings
    in order to reduce build dependencies. (Closes: #734669)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Jun 2016 22:54:00 +0200
