=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: avahi
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
            Loic Minier <lool@dooz.org>,
            Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114),
                dh-systemd (>= 1.5),
                dh-python,
+               dpkg-dev (>= 1.17.14),
                autotools-dev,
                pkg-config,
                dh-autoreconf,
@@ -17,18 +17,18 @@
                libgdbm-dev,
                libglib2.0-dev (>= 2.4),
                libgtk2.0-dev (>= 2.14.0),
-               libgtk-3-dev,
+               libgtk-3-dev <!stage1>,
                libexpat-dev,
                libdaemon-dev (>= 0.11),
                libdbus-1-dev (>= 0.60),
                python-all-dev (>= 2.6.6-3~),
                python-gdbm (>= 2.4.3),
-               python-dbus,
-               python-gtk2 (>= 2.8.6-2),
-               libqt4-dev,
+               python-dbus <!stage1>,
+               python-gtk2 (>= 2.8.6-2) <!stage1>,
+               libqt4-dev <!stage1>,
                xmltoman,
                intltool (>= 0.35.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.4
 Vcs-Git: git://anonscm.debian.org/pkg-utopia/avahi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/avahi.git;a=summary
@@ -106,6 +106,7 @@
          libavahi-common-data (>= 0.6.22),
          python-dbus
 Provides: ${python:Provides}
+Build-Profiles: <!stage1>
 Description: Python utility package for Avahi
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -139,6 +140,7 @@
          python-gtk2 (>= 2.8.6-2),
          python-glade2,
          avahi-daemon
+Build-Profiles: <!stage1>
 Description: Service discover user interface for avahi
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -185,6 +187,7 @@
 Architecture: any
 Depends: libavahi-common3 (= ${binary:Version}),
          ${misc:Depends}
+Multi-Arch: same
 Description: Development files for the Avahi common library
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -196,14 +199,6 @@
  library, which is a set of common functions and definitions used by many
  of Avahis components and client applications.
 
-Package: libavahi-common3-udeb
-Package-Type: udeb
-Section: debian-installer
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: Avahi common library (debian-installer)
-
 Package: libavahi-core7
 Section: libs
 Architecture: any
@@ -231,6 +226,7 @@
 Depends: libavahi-core7 (= ${binary:Version}),
          ${misc:Depends},
          libavahi-common-dev
+Multi-Arch: same
 Description: Development files for Avahi's embeddable mDNS/DNS-SD library
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -245,14 +241,6 @@
  You should not however use this library for non-embedded applications, you
  shoudl use libavahi-client-dev which interacts with the avahi daemon.
 
-Package: libavahi-core7-udeb
-Package-Type: udeb
-Section: debian-installer
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: Avahi's embeddable mDNS/DNS-SD library (debian-installer)
-
 Package: libavahi-client3
 Section: libs
 Architecture: any
@@ -277,6 +265,7 @@
          ${misc:Depends},
          libavahi-common-dev,
          libdbus-1-dev (>= 0.60)
+Multi-Arch: same
 Description: Development files for the Avahi client library
  Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
  It allows programs to publish and discover services and hosts
@@ -307,3 +296,10 @@
 Package: libavahi-glib-dev
 Section: libdevel
 Architecture: any
+Depends: libavahi-glib1 (= ${binary:Version}),
+         ${misc:Depends},
+         libglib2.0-dev,
+         libavahi-common-dev
+Multi-Arch: same
+Description: Development headers for the Avahi GLib integration library
+ Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
