=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,25 @@
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 ifneq (linux,$(DEB_HOST_ARCH_OS))
-	CONFFLAGS += --disable-autoipd
+CONFFLAGS += \
+	--disable-autoipd
 endif
 
 # Ensure at build time that the library has no dependencies on undefined
 # symbols, and speed up loading.
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+
+ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+CONFFLAGS += \
+	--disable-qt4 \
+	--disable-gtk3 \
+	--disable-gtk \
+	--disable-pygtk \
+	--disable-python-dbus
+else
+CONFFLAGS += \
+	--enable-gtk3
+endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFFLAGS) \
@@ -19,7 +32,6 @@
 		--disable-mono \
 		--disable-monodoc \
 		--disable-qt3 \
-		--enable-gtk3 \
 		--with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_auto_build:
@@ -49,13 +61,12 @@
 override_dh_installinit:
 	dh_installinit -pavahi-daemon --restart-after-upgrade
 	dh_installinit -pavahi-dnsconfd --restart-after-upgrade
-	dh_installinit -pavahi-daemon --no-start --name avahi-cups-reload
 
 override_dh_installdocs:
 	dh_installdocs --all docs/NEWS docs/README
 
 override_dh_strip:
-	dh_strip --dbg-package=avahi-dbg
+	dh_strip --dbgsym-migration='avahi-dbg (<< 0.6.32-1~)'
 
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh
