## avahi 0.7

=== debian/changelog ===
avahi (0.7-4ubuntu7.3) focal-security; urgency=medium

  * SECURITY UPDATE: Reachable assertions exist in server functions of
    avahi-core
    - debian/patches/CVE-2023-38469-1.patch: reject overly long TXT 
      resource records
    - debian/patches/CVE-2023-38469-2.patch: tests: pass overly long TXT
      resource records
    - CVE-2023-38469

  * SECURITY UPDATE: Reachable assertions exist in domain functions in 
    avahi-common
    - debian/patches/CVE-2023-38470-1.patch: Ensure each label is at least
      one byte long
    - debian/patches/CVE-2023-38470-2.patch: bail out when escaped labels 
      can't fit into ret
    - CVE-2023-38470

  * SECURITY UPDATE: Reachable assertions exist in server functions in 
    avahi-core
    - debian/patches/CVE-2023-38471-1.patch: core: extract host name using
      avahi_unescape_label()
    - debian/patches/CVE-2023-38471-2.patch: core: return errors from 
      avahi_server_set_host_name properly
    - CVE-2023-38471

  * SECURITY UPDATE: Reachable assertions exist in dbus functions in 
    avahi-daemon
    - debian/patches/CVE-2023-38472.patch: core: make sure there is rdata 
      to process before parsing it
    - CVE-2023-38472

  * SECURITY UPDATE: Reachable assertions exist in alternative functions 
    in avahi-common
    - debian/patches/CVE-2023-38473.patch: common: derive alternative host
      name from its unescaped version
    - CVE-2023-38473

 -- Nick Galanis <nick.galanis@canonical.com>  Thu, 16 Nov 2023 15:26:56 +0000

avahi (0.7-4ubuntu7.2) focal-security; urgency=medium

  * SECURITY UPDATE: avahi-daemon can be crashed via DBus
    - debian/patches/CVE-2023-1981.patch: emit error if requested service
      is not found in avahi-daemon/dbus-protocol.c.
    - CVE-2023-1981

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 31 May 2023 09:59:47 -0400

avahi (0.7-4ubuntu7.1) focal-security; urgency=medium

  * SECURITY UPDATE: DoS via infinite loop on local socket
    - debian/patches/CVE-2021-3468.patch: handle HUP event in
      avahi-daemon/simple-protocol.c.
    - CVE-2021-3468

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 Jul 2021 11:39:14 -0400

avahi (0.7-4ubuntu7) focal; urgency=medium

  * Remove avahi-daemon-check-dns.sh hack, the feature is provided by
    libnss-mdns now (lp: #1870824)
  * debian/patches/local-only-services-support.patch:
    - replaced by the upstream commited version, part of the code which
      was there to workaround a ippusbxd issue has been removed since
      the problem has been resolved in cups now

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Apr 2020 13:43:27 +0200

avahi (0.7-4ubuntu6) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:30:55 +0000

avahi (0.7-4ubuntu5) disco; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2017-6519-and-CVE-2018-1000845.patch:
      fix in avahi-core/server.c.
    - CVE-2017-6519
    - CVE-2018-1000845

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 30 Jan 2019 12:33:23 -0300

avahi (0.7-4ubuntu4) disco; urgency=medium

  * No-change rebuild against latest binid9

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Dec 2018 17:25:36 -0500

avahi (0.7-4ubuntu3) disco; urgency=medium

  * Rebuild against new libgdbm6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Nov 2018 15:15:41 +0100

avahi (0.7-4ubuntu2) cosmic; urgency=medium

  * debian/avahi-daemon-check-dns.sh: On some hardware, the 'host'
    command gets stuck and does not timeout as it should leaving this script
    and boot-up hanging indefinitely. Launch host with 'timeout' to kill it
    after 5 seconds in these cases as a workaround. (LP #1752411)

 -- Trent Lloyd <trent.lloyd@canonical.com>  Tue, 21 Aug 2018 14:56:18 +0800

avahi (0.7-4ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add udebs corresponding to libavahi-common3 and libavahi-core7, for
      maas-enlist-udeb.
    - local-only-services-support.patch: Added support for advertising

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 May 2018 09:53:20 +0200

avahi (0.7-4) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Refresh patches through gbp pq
    - d/p/no-systemd-also.patch: Convert to git-style format
  * Use DEP-14 branch names debian/master, upstream/latest
  * Update Vcs-Git, Vcs-Browser for salsa.debian.org
  * d/rules: Specify that we are building for a Debian derivative,
    instead of letting it be autodetected (partially addresses #873596)
  * d/p/Remove-empty-avahi_discover-Python-module.patch:
    Don't install an empty library module into the avahi-discover package
  * Bump Standards-Version to 4.1.4

  [ Mario Lang ]
  * Install examples into the relevant -dev packages (Closes: #768595)

 -- Simon McVittie <smcv@debian.org>  Fri, 27 Apr 2018 11:59:11 +0100

avahi (0.7-3.1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add udebs corresponding to libavahi-common3 and libavahi-core7, for
      maas-enlist-udeb.
    - local-only-services-support.patch: Added support for advertising

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:56:06 +0100

avahi (0.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/no-systemd-also.patch:
    - cherry-pick Ubuntu build fix for new systemd (Closes: #880036)
      Thanks Steve Langasek for the patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:51:42 +0100

avahi (0.7-3ubuntu2) bionic; urgency=low

  * local-only-services-support.patch: Added support for advertising
    local-only services on the loopback ("lo", "localhost") device. This
    is especially needed for making CUPS and cups-browsed auto-discover
    IPP-over-USB printers using ippusbxd (LP: #1736757, Upstream issue #125).


