=== debian/control ===
--- 
+++ 
@@ -1,22 +1,18 @@
 Source: avahi
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
            Loic Minier <lool@dooz.org>,
            Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9.20160114),
-               dh-systemd (>= 1.5),
+Build-Depends: debhelper (>= 10.3),
                dh-python,
-               dpkg-dev (>= 1.17.14),
-               autotools-dev,
                pkg-config,
-               dh-autoreconf,
                libcap-dev (>= 1:2.16) [linux-any],
                libgdbm-dev,
                libglib2.0-dev (>= 2.4),
-               libgtk2.0-dev (>= 2.14.0),
                libgtk-3-dev <!stage1>,
                libexpat-dev,
                libdaemon-dev (>= 0.11),
@@ -24,14 +20,15 @@
                python-all-dev (>= 2.6.6-3~),
                python-gdbm (>= 2.4.3),
                python-dbus <!stage1>,
-               python-gtk2 (>= 2.8.6-2) <!stage1>,
-               libqt4-dev <!stage1>,
+               python-gi-dev <!stage1>,
+               gobject-introspection,
+               libgirepository1.0-dev,
                xmltoman,
                intltool (>= 0.35.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 X-Python-Version: >= 2.4
-Vcs-Git: git://anonscm.debian.org/pkg-utopia/avahi.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/avahi.git;a=summary
+Vcs-Git: https://salsa.debian.org/utopia-team/avahi.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/avahi
 Homepage: http://avahi.org/
 
 Package: avahi-daemon
@@ -137,8 +134,9 @@
          ${misc:Depends},
          python-avahi,
          python-dbus,
-         python-gtk2 (>= 2.8.6-2),
-         python-glade2,
+         python-gi,
+         gir1.2-glib-2.0,
+         gir1.2-gtk-3.0,
          avahi-daemon
 Build-Profiles: <!stage1>
 Description: Service discover user interface for avahi
@@ -199,6 +197,14 @@
  library, which is a set of common functions and definitions used by many
  of Avahis components and client applications.
 
+Package: libavahi-common3-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Avahi common library (debian-installer)
+
 Package: libavahi-core7
 Section: libs
 Architecture: any
@@ -241,6 +247,14 @@
  You should not however use this library for non-embedded applications, you
  shoudl use libavahi-client-dev which interacts with the avahi daemon.
 
+Package: libavahi-core7-udeb
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: Avahi's embeddable mDNS/DNS-SD library (debian-installer)
+
 Package: libavahi-client3
 Section: libs
 Architecture: any
@@ -296,10 +310,3 @@
 Package: libavahi-glib-dev
 Section: libdevel
 Architecture: any
-Depends: libavahi-glib1 (= ${binary:Version}),
-         ${misc:Depends},
-         libglib2.0-dev,
-         libavahi-common-dev
-Multi-Arch: same
-Description: Development headers for the Avahi GLib integration library
- Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
