## avahi 0.7.5

=== debian/changelog ===
avahi (0.7.5-4+deb10u1+security) unstable; urgency=medium

  * update

 -- Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>  Thu, 10 Jun 2021 17:57:25 +0800

avahi (0.7.4-4+deb10u1+security) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2021-26720

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 02 Apr 2021 16:57:58 +0800

avahi (0.7-4+deb10u1) buster; urgency=medium

  [ Simon McVittie ]
  *  Remove avahi-daemon-check-dns mechanism, no longer needed.
    Thanks to Trent Lloyd, Sebastien Bacher (LP: #1870824)
    (Closes: #433945, #559927, #629509, #747895, #878586, #898038, #929010)

  [ Sjoerd Simons ]
  * Don't remove avahi-daemon postdown symlink in maintscript

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 13 Feb 2021 20:35:49 +0100

avahi (0.7.3-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 30 Jul 2020 12:33:27 +0800
